JAX-RS Spock Plugin

  • Tags : /
  • Latest : 0.0.1-grails2.2
  • Last Updated: 21 January 2014
  • Grails version : 2.2 > *
0 vote
Dependency :
compile ":jaxrs-spock:0.0.1-grails2.2"
Custom repositories :
mavenRepo "http://noams.artifactoryonline.com/noams/grails-jaxrs-plugin-snapshots/"
mavenRepo "http://maven.restlet.org/"

Documentation Source Issues

Summary

Provides Spock specification support for the Grails JAX-RS plugin

Installation

Grails 2.1.x and below

grails.project.dependency.resolution = {
    plugins {
        compile ':jaxrs-spock:0.0.1-grails2.0'
    }
}

Grails 2.2.x

grails.project.dependency.resolution = {
    plugins {
        compile ':jaxrs-spock:0.0.1-grails2.2'
    }
}

Description

These specification classes were once included in the Grails JAX-RS plugin, but were migrated to this module in order to make the JAX-RS plugin more agnostic in terms of Grails/Groovy version compatibility.